<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haup_mobile_table_scroll(){
$custom_css_pre = '
.wp-block-table {
	margin: 0 0 1em;
	overflow-x: auto;
	white-space: nowrap;
}
';

//タブを除去
$custom_css_deltab = preg_replace('/\t+/', '', $custom_css_pre);
//改行を除去
$custom_css = str_replace(PHP_EOL, '', $custom_css_deltab);

//フロントスタイルにインラインでスタイルコードを追加
	wp_add_inline_style( 'haup-front-and-blocks-style', $custom_css );
	
	//wp_register_style( 'mt-hscroll-style', plugin_dir_url( __FILE__ ) .'mtable-hscroll-style.css', array(),'', 'all' );

//スタイルシートの読み込み
	//wp_enqueue_style('mt-hscroll-style', '', array(), '1.0', false);

}
if(wp_is_mobile()){
add_action('wp_enqueue_scripts','haup_mobile_table_scroll');
}